| The Gaudi Framework v30r0 (c919700c)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
PersistencySvc::ServiceEntry Class Referencefinal

`#include <src/PersistencySvc/PersistencySvc.h>`

Collaboration diagram for PersistencySvc::ServiceEntry:
[legend]

## Public Member Functions
| ServiceEntry (long type, SmartIF< IService > svc, SmartIF< IConversionSvc > cnv, SmartIF< IAddressCreator > cr)
| ServiceEntry (long type, IService *svc, IConversionSvc *cnv, IAddressCreator *cr)
| ServiceEntry (const ServiceEntry &)=default
SmartIF< IService > & | service () const
SmartIF< IConversionSvc > & | conversionSvc () const
SmartIF< IAddressCreator > & | addrCreator () const
long | svcType () const

## Private Attributes
long | m_serviceType
SmartIF< IService > | m_service
SmartIF< IConversionSvc > | m_cnvService
SmartIF< IAddressCreator > | m_addrCreator

## Detailed Description

Definition at line 53 of file PersistencySvc.h.

## Constructor & Destructor Documentation

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | SmartIF< IService > | svc,
|  | SmartIF< IConversionSvc > | cnv,
|  | SmartIF< IAddressCreator > | cr
| ) |  |
| inline

Definition at line 61 of file PersistencySvc.h.

62 : m_serviceType( type )
63 , m_service( std::move( svc ) )
64 , m_cnvService( std::move( cnv ) )
65 , m_addrCreator( std::move( cr ) )
66 {
67 }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:56
gaudirun.type
type
Definition: gaudirun.py:133
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:57
std::move
T move(T...args)
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:55
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:58

PersistencySvc::ServiceEntry::ServiceEntry | ( | long | type,
|  | IService * | svc,
|  | IConversionSvc * | cnv,
|  | IAddressCreator * | cr
| ) |  |
| inline

Definition at line 68 of file PersistencySvc.h.

69 {
70 m_serviceType = type;
71 m_addrCreator = cr;
72 m_cnvService = cnv;
73 m_service = svc;
74 }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:56
gaudirun.type
type
Definition: gaudirun.py:133
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:57
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:55
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:58

PersistencySvc::ServiceEntry::ServiceEntry | ( | const ServiceEntry & |  | ) |
| default

## Member Function Documentation

SmartIF<IAddressCreator>& PersistencySvc::ServiceEntry::addrCreator | ( |  | ) | const
| inline

Definition at line 79 of file PersistencySvc.h.

79 { return m_addrCreator; }
PersistencySvc::ServiceEntry::m_addrCreator
SmartIF< IAddressCreator > m_addrCreator
Definition: PersistencySvc.h:58

SmartIF<IConversionSvc>& PersistencySvc::ServiceEntry::conversionSvc | ( |  | ) | const
| inline

Definition at line 78 of file PersistencySvc.h.

78 { return m_cnvService; }
PersistencySvc::ServiceEntry::m_cnvService
SmartIF< IConversionSvc > m_cnvService
Definition: PersistencySvc.h:57

SmartIF<IService>& PersistencySvc::ServiceEntry::service | ( |  | ) | const
| inline

Definition at line 77 of file PersistencySvc.h.

77 { return m_service; }
PersistencySvc::ServiceEntry::m_service
SmartIF< IService > m_service
Definition: PersistencySvc.h:56

long PersistencySvc::ServiceEntry::svcType | ( |  | ) | const
| inline

Definition at line 80 of file PersistencySvc.h.

80 { return m_serviceType; }
PersistencySvc::ServiceEntry::m_serviceType
long m_serviceType
Definition: PersistencySvc.h:55

## Member Data Documentation

SmartIF<IAddressCreator> PersistencySvc::ServiceEntry::m_addrCreator
| mutable private

Definition at line 58 of file PersistencySvc.h.

SmartIF<IConversionSvc> PersistencySvc::ServiceEntry::m_cnvService
| mutable private

Definition at line 57 of file PersistencySvc.h.

SmartIF<IService> PersistencySvc::ServiceEntry::m_service
| mutable private

Definition at line 56 of file PersistencySvc.h.

long PersistencySvc::ServiceEntry::m_serviceType
| private

Definition at line 55 of file PersistencySvc.h.

The documentation for this class was generated from the following file:

- GaudiCommonSvc/src/PersistencySvc/PersistencySvc.h